[tool.poetry]
authors = ["sansenhoshi <sansenhoshi@outlook.com>"]
description = "基于 NoneBot2 的 BF查询机器人"
license = "MIT"
name = "BF_BOT"
readme = "README.md"
repository = ""
version = "0.0.1"

[tool.poetry.dependencies]
python = "^3.13"
eorzeaenv = "^2.2.8"
matplotlib = "^3.7.1"
expiringdict = "^1.2.2"

nonebot2 = { extras = ["httpx", "fastapi", "websockets"], version = "^2.1.0" }
nb-cli = "^1.2.3"
nonebot-adapter-onebot = "2.2.4"

nonebot-plugin-user = "^0.0.1"

nonebot-plugin-apscheduler = "^0.3.0"
nonebot-plugin-send-anything-anywhere = "^0.3.1"
nonebot-plugin-alconna = "^0.24.0"
nonebot-plugin-session = "^0.1.0"
nonebot-plugin-userinfo = "^0.1.0"

[tool.poetry.group.dev.dependencies]
nonebug = "^0.3.3"
pytest-cov = "^4.0.0"
pytest-mock = "^3.6.1"
pytest-xdist = "^3.0.2"
pytest-asyncio = "^0.21.0"
respx = "^0.20.1"
freezegun = "^1.2.2"
nonebug-saa = { git = "https://github.com/MountainDash/nonebug-saa.git" }

[tool.nonebot]
adapters = [
    { name = "QQ", module_name = "nonebot.adapter.qq" }
]

plugins = [
    "nonebot_plugin_apscheduler",
    "nonebot_plugin_saa",
    "nonebot_plugin_session",
    "nonebot_plugin_userinfo",
    "nonebot_plugin_user",
    "nonebot_plugin_rauthman",
]

[tool.black]
line-length = 88

[tool.isort]
profile = "black"
line_length = 88
skip_gitignore = true

[tool.pytest.ini_options]
asyncio_mode = "auto"

[tool.pyright]
typeCheckingMode = "basic"

[tool.ruff]
select = ["E", "W", "F", "UP", "C", "T", "PYI", "Q"]
ignore = ["E402", "E501", "E711", "C901", "UP037"]


[build-system]
build-backend = "poetry.core.masonry.api"
requires = ["poetry-core>=1.0.0"]
